services:
  postgres:
    container_name: postgres
    image: postgres:12.21
    restart: unless-stopped
    # set shared memory limit when using docker-compose
    shm_size: 128mb
    environment:
      POSTGRES_DB: configdb
      POSTGRES_USER: configdb
      POSTGRES_PASSWORD: test
      POSTGRES_HOST_AUTH_METHOD: trust
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U configdb -d configdb"]
      interval: 10s
      timeout: 5s
      retries: 5
    volumes:
      - ${DOCKER_DIR}/configdb/postgres:/var/lib/postgresql/data
    ports:
      - 5432:5432
    labels:
      - demi.${STACK}.postgres.host=${HOST}
      - demi.${STACK}.postgres.category=Tools
      - demi.${STACK}.postgres.description=Backend database for the ConfigDB

  adminer:
    container_name: adminer
    image: adminer
    ports:
      - 8080:8080
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - "${HOST}:host-gateway"
    labels:
      - demi.${STACK}.adminer.host=${HOST}
      - demi.${STACK}.adminer.category=Tools
      - demi.${STACK}.adminer.description=GUI for the postgres backend
      - demi.${STACK}.adminer.protocol=http
    #  - demi.${STACK}.adminer.url_prefix=/index.php?route&lang=en

networks:
  default:
    name: deminet
    external: true

volumes:
  postgres: